
Foreman - Bug #3659

"no implicit conversion of URI::HTTP into String" running rake reports:summarize

11/15/2013 10:44 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Reporting   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

$ rake reports:summarize

rake aborted!

no implicit conversion of URI::HTTP into String

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/actionpack-3.2.15/lib/action_dispatch/http/url.rb:59:in `match'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/actionpack-3.2.15/lib/action_dispatch/http/url.rb:59:in `named_host?'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/actionpack-3.2.15/lib/action_dispatch/http/url.rb:71:in

`host_or_subdomain_and_domain'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/actionpack-3.2.15/lib/action_dispatch/http/url.rb:37:in `url_for'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/actionpack-3.2.15/lib/action_dispatch/routing/route_set.rb:598:in `url_for'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/actionpack-3.2.15/lib/action_dispatch/routing/url_for.rb:148:in `url_for'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/actionpack-3.2.15/lib/action_view/helpers/url_helper.rb:107:in `url_for'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/actionpack-3.2.15/lib/action_dispatch/routing/route_set.rb:216:in

`reports_path'

/home/dcleal/code/foreman/foreman/app/views/host_mailer/_active_hosts.html.erb:46:in `block (2 levels) in app_views_host_mailer

_active_hosts_html_erb__2305460470786637138_74347840'

/home/dcleal/code/foreman/foreman/app/views/host_mailer/_active_hosts.html.erb:39:in `each'

/home/dcleal/code/foreman/foreman/app/views/host_mailer/_active_hosts.html.erb:39:in `block in app_views_host_mailer

_active_hosts_html_erb__2305460470786637138_74347840'

/home/dcleal/code/foreman/foreman/app/views/host_mailer/_active_hosts.html.erb:29:in `each'

/home/dcleal/code/foreman/foreman/app/views/host_mailer/_active_hosts.html.erb:29:in

`_app_views_host_mailer__active_hosts_html_erb__2305460470786637138_74347840'

Related issues:

Follows Foreman - Bug #3569: Port in use by the browser is used in rendering ... Closed 11/04/2013

Associated revisions

Revision 6ff82077 - 11/20/2013 02:44 PM - Dominic Cleal

fixes #3659 - use URL host for hostname, not URL itself

History

#1 - 11/15/2013 11:57 AM - Dominic Cleal

- Follows Bug #3569: Port in use by the browser is used in rendering the templates added

#2 - 11/15/2013 12:11 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1026

#3 - 11/20/2013 03:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/1026


Applied in changeset 6ff82077530ab90d6e1db6b51e34b8bbd5bed985.

#4 - 07/19/2016 01:11 PM - David Davis

- Related to Feature #15741: Use parameter_filter instead of attr_accessible added

#5 - 07/19/2016 01:15 PM - David Davis

- Related to deleted (Feature #15741: Use parameter_filter instead of attr_accessible)
